%include('header.tpl', app_name=app_name, message=message)
<!-- Begin page content -->
<div class="container">
  <div class="row">
    <div class="col-sm-9">
      %if server['status'] == "online":
        <h1>{{ server['name'] }}<sup><span class="tag tag-success tag-sm">Online</span></sup></h1>
      %else:
        <h1>{{ server['name'] }}<sup><span class="tag tag-danger tag-sm">Offline</span></sup></h1>
      %end
    </div>
    <div class="col-sm-3 text-xs-right">
      <div class="btn-group">
        <button type="button" class="btn btn-outline-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          {{ username }}
        </button>
        <div class="dropdown-menu">
          <a class="dropdown-item" href="/">Server overview</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Create server</a>
          <a class="dropdown-item" href="#">Create server from .zip</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="/logout">Logout</a>
        </div>
      </div>
    </div>
  </div>
  <p class="lead">{{ server['desc'] }}</p>

  <table class="table">
      <tr>
        <th>Address</th>
        <th>Version</th>
        <th class="text-xs-right">Actions</th>
      </tr>
      %if server['status'] == "online":
        <tr>
        <td><code>{{ fqdn }}:{{ server['port'] }}</code></td>
          <td><code>{{ server['version'] }}</code></td>
          <td class="text-xs-right">
            <a href="/stop/{{ server['port'] }}" type="button" class="btn btn-outline-danger btn-sm">Stop</a>
          </td>
        </tr>
      %else:
        <tr>
          <td><code>{{ fqdn }}:{{ server['port'] }}</code></td>
          <td><code>{{ server['version'] }}</code></td>
          <td class="text-xs-right">
            <a href="/start/{{ server['port'] }}" type="button" class="btn btn-outline-success btn-sm">Start</a>
            <a href="/delete/{{ server['port'] }}" type="button" class="btn btn-outline-danger btn-sm">Delete</a>
          </td>
        </tr>
      %end
  </table>

  <p>
    <h4>Settings</h4>
    <hr>
    blabla
  </p>

  <p>
    <h4>Backups</h4>
    <hr>
    blabla
  </p>

  <p>
    <h4>Mods</h4>
    <hr>
    blabla
  </p>

  <p>
    <h4>Screenshots</h4>
    <hr>
    blabla
  </p>

  <p>
    <h4>Console</h4>
    <hr>
    blabla
  </p>


</div> <!-- Page content -->
%include('footer.tpl', username=username)
